<template>
    <span>
        <template v-if="score === 5">★★★★★</template>
        <template v-else-if="score === 4">★★★★</template>
        <template v-else-if="score === 3">★★★</template>
        <template v-else-if="score === 2">★★</template>
        <template v-else-if="score === 1">★</template>
        <template v-else>--</template>
    </span>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';

@Component
export default class UiReviewScore extends Vue {
    @Prop() score!: number;
}
</script>